package com.gic.haoban.manage.service.service.chat;

import com.gic.api.base.commons.BasePageInfo;
import com.gic.api.base.commons.Page;
import com.gic.haoban.manage.api.dto.chat.GroupChatHmDTO;
import com.gic.haoban.manage.api.dto.qdto.chat.ChatHmSearchQDTO;
import com.gic.haoban.manage.service.pojo.bo.chat.GroupChatHmBO;

public interface GroupChatHmService {

    public void saveHm(GroupChatHmDTO dto);

    GroupChatHmBO getById(Long hmId);

    public Page<GroupChatHmBO> listPage(ChatHmSearchQDTO qdto, BasePageInfo basePageInfo);

    /**
     * 
    * @Title: handleChatOff
    * @Description: 群下线后活码处理
    * @author xugh
    * @param groupChat
    * @throws
     */
    public void handleChatOff(Long groupChat);

    public void discard(Long chatHmId, String wxEnterpriseId , String clerkId, String clerkName);

}